import { Consumer } from 'sqs-consumer';
import { SubmitAllTasksResponse, SubmitTaskInput, SubmitTaskResponse, TaskClient } from './client';
import { OperationConfiguration, OperationName, QueueName } from './types';
import { DefaultTaskContext } from './context';
export declare class NoopClient<TContext = DefaultTaskContext> implements TaskClient<TContext> {
    private _routes;
    constructor();
    readonly registeredOperations: OperationName[];
    registerOperation<TPayload>(input: OperationConfiguration<TPayload, TContext>): void;
    submitTask<T>(input: SubmitTaskInput<T>): Promise<SubmitTaskResponse>;
    submitAllTasks<T = any>(input: SubmitTaskInput<T>[]): Promise<SubmitAllTasksResponse>;
    generateConsumers(): Record<QueueName, Consumer>;
    private _routeToTask;
}
